peak.can.basic

## Enum TPCANParameter

- java.lang.Object
- - java.lang.Enum<TPCANParameter>
  - - peak.can.basic.TPCANParameter

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TPCANParameter>

      public enum TPCANParameter
      extends java.lang.Enum<TPCANParameter>

  Parameter definition.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PCAN_5VOLTS_POWER` PCAN-PC Card 5-Volt power parameter
    `PCAN_API_VERSION` PCAN-Basic API version parameter
    `PCAN_BITRATE_ADAPTING` Using of an existing bit rate (PCAN-View connected to a channel)
    `PCAN_BITRATE_INFO` Configured Bit rate as Btr0Btr1 value
    `PCAN_BITRATE_INFO_FD` Configured Bit rate as TPCANBitrateFD string
    `PCAN_BUSOFF_AUTORESET` PCAN Reset-On-Busoff parameter
    `PCAN_BUSSPEED_DATA` Configured CAN data speed as Bits per seconds
    `PCAN_BUSSPEED_NOMINAL` Configured nominal CAN Bus speed as Bits per seconds
    `PCAN_CHANNEL_CONDITION` Availability status of a PCAN-Channel
    `PCAN_CHANNEL_FEATURES` Capabilities of a PCAN device (FEATURE_***)
    `PCAN_CHANNEL_IDENTIFYING` Physical identification of a USB based PCAN-Channel by blinking its associated LED
    `PCAN_CHANNEL_VERSION` PCAN device channel version parameter
    `PCAN_CONTROLLER_NUMBER` CAN-Controller number of a PCAN-Channel
    `PCAN_DEVICE_NUMBER` PCAN-USB device number parameter
    `PCAN_HARDWARE_NAME` PCAN hardware name parameter
    `PCAN_IP_ADDRESS` Remote address of a LAN channel as string in IPv4 format
    `PCAN_LISTEN_ONLY` PCAN Listen-Only parameter
    `PCAN_LOG_CONFIGURE` Configuration of the debugged information (LOG_FUNCTION_***)
    `PCAN_LOG_LOCATION` Directory path for trace files
    `PCAN_LOG_STATUS` Debug-Trace activation status
    `PCAN_LOG_TEXT` Custom insertion of text into the log file
    `PCAN_MESSAGE_FILTER` PCAN message filter parameter
    `PCAN_RECEIVE_EVENT` PCAN receive event handler parameter
    `PCAN_RECEIVE_STATUS` Message reception status of a PCAN-Channel
    `PCAN_TRACE_CONFIGURE` Configuration of the trace file storing mode (TRACE_FILE_***)
    `PCAN_TRACE_LOCATION` Directory path for PCAN trace files
    `PCAN_TRACE_SIZE` Configuration of the maximum file size of a CAN trace
    `PCAN_TRACE_STATUS` CAN tracing activation status

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Object[]` | `customizableParameters()` Returns the list of PCAN Parameters which are customizable as array
    `static java.lang.String` | `getParameterDescription(TPCANParameter param)` Returns a description for the given TPCANParameter
    `int` | `getValue()`
    `static TPCANParameter` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TPCANParameter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PCAN_DEVICE_NUMBER

          public static final TPCANParameter PCAN_DEVICE_NUMBER

      PCAN-USB device number parameter

    - #### PCAN_5VOLTS_POWER

          public static final TPCANParameter PCAN_5VOLTS_POWER

      PCAN-PC Card 5-Volt power parameter

    - #### PCAN_RECEIVE_EVENT

          public static final TPCANParameter PCAN_RECEIVE_EVENT

      PCAN receive event handler parameter

    - #### PCAN_MESSAGE_FILTER

          public static final TPCANParameter PCAN_MESSAGE_FILTER

      PCAN message filter parameter

    - #### PCAN_API_VERSION

          public static final TPCANParameter PCAN_API_VERSION

      PCAN-Basic API version parameter

    - #### PCAN_CHANNEL_VERSION

          public static final TPCANParameter PCAN_CHANNEL_VERSION

      PCAN device channel version parameter

    - #### PCAN_BUSOFF_AUTORESET

          public static final TPCANParameter PCAN_BUSOFF_AUTORESET

      PCAN Reset-On-Busoff parameter

    - #### PCAN_LISTEN_ONLY

          public static final TPCANParameter PCAN_LISTEN_ONLY

      PCAN Listen-Only parameter

    - #### PCAN_LOG_LOCATION

          public static final TPCANParameter PCAN_LOG_LOCATION

      Directory path for trace files

    - #### PCAN_LOG_STATUS

          public static final TPCANParameter PCAN_LOG_STATUS

      Debug-Trace activation status

    - #### PCAN_LOG_CONFIGURE

          public static final TPCANParameter PCAN_LOG_CONFIGURE

      Configuration of the debugged information (LOG_FUNCTION_***)

    - #### PCAN_LOG_TEXT

          public static final TPCANParameter PCAN_LOG_TEXT

      Custom insertion of text into the log file

    - #### PCAN_CHANNEL_CONDITION

          public static final TPCANParameter PCAN_CHANNEL_CONDITION

      Availability status of a PCAN-Channel

    - #### PCAN_HARDWARE_NAME

          public static final TPCANParameter PCAN_HARDWARE_NAME

      PCAN hardware name parameter

    - #### PCAN_RECEIVE_STATUS

          public static final TPCANParameter PCAN_RECEIVE_STATUS

      Message reception status of a PCAN-Channel

    - #### PCAN_CONTROLLER_NUMBER

          public static final TPCANParameter PCAN_CONTROLLER_NUMBER

      CAN-Controller number of a PCAN-Channel

    - #### PCAN_TRACE_LOCATION

          public static final TPCANParameter PCAN_TRACE_LOCATION

      Directory path for PCAN trace files

    - #### PCAN_TRACE_STATUS

          public static final TPCANParameter PCAN_TRACE_STATUS

      CAN tracing activation status

    - #### PCAN_TRACE_SIZE

          public static final TPCANParameter PCAN_TRACE_SIZE

      Configuration of the maximum file size of a CAN trace

    - #### PCAN_TRACE_CONFIGURE

          public static final TPCANParameter PCAN_TRACE_CONFIGURE

      Configuration of the trace file storing mode (TRACE_FILE_***)

    - #### PCAN_CHANNEL_IDENTIFYING

          public static final TPCANParameter PCAN_CHANNEL_IDENTIFYING

      Physical identification of a USB based PCAN-Channel by blinking its associated LED

    - #### PCAN_CHANNEL_FEATURES

          public static final TPCANParameter PCAN_CHANNEL_FEATURES

      Capabilities of a PCAN device (FEATURE_***)

    - #### PCAN_BITRATE_ADAPTING

          public static final TPCANParameter PCAN_BITRATE_ADAPTING

      Using of an existing bit rate (PCAN-View connected to a channel)

    - #### PCAN_BITRATE_INFO

          public static final TPCANParameter PCAN_BITRATE_INFO

      Configured Bit rate as Btr0Btr1 value

    - #### PCAN_BITRATE_INFO_FD

          public static final TPCANParameter PCAN_BITRATE_INFO_FD

      Configured Bit rate as TPCANBitrateFD string

    - #### PCAN_BUSSPEED_NOMINAL

          public static final TPCANParameter PCAN_BUSSPEED_NOMINAL

      Configured nominal CAN Bus speed as Bits per seconds

    - #### PCAN_BUSSPEED_DATA

          public static final TPCANParameter PCAN_BUSSPEED_DATA

      Configured CAN data speed as Bits per seconds

    - #### PCAN_IP_ADDRESS

          public static final TPCANParameter PCAN_IP_ADDRESS

      Remote address of a LAN channel as string in IPv4 format

  - ### Method Detail

    - #### values

          public static TPCANParameter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TPCANParameter c : TPCANParameter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TPCANParameter valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### customizableParameters

          public static java.lang.Object[] customizableParameters()

      Returns the list of PCAN Parameters which are customizable as array
      Returns:
        the list of PCAN Parameters which are customizable as array

    - #### getParameterDescription

          public static java.lang.String getParameterDescription(TPCANParameter param)

      Returns a description for the given TPCANParameter
      Parameters:
        `param` - TPCANParameter for which we need description
      Returns: